---
title: y2
slug: Web/SVG/Attribute/y2
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>y2</code></strong> attribute is used to specify the second y-coordinate for drawing an SVG element that requires more than one coordinate. Elements that only need one coordinate use the {{SVGAttr("y")}} attribute instead.</p>

<p>Two elements are using this attribute: {{ SVGElement("line") }}, and {{ SVGElement("linearGradient") }}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;line x1="1" x2="9" y1="5" y2="1" stroke="red"   /&gt;
  &lt;line x1="1" x2="9" y1="5" y2="5" stroke="green" /&gt;
  &lt;line x1="1" x2="9" y1="5" y2="9" stroke="blue"  /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="line">line</h2>

<p>For {{SVGElement('line')}}, <code>y2</code> defines the y coordinate of the ending point of the line.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;line x1="1" x2="9" y1="5" y2="1" stroke="red"   /&gt;
  &lt;line x1="1" x2="9" y1="5" y2="5" stroke="green" /&gt;
  &lt;line x1="1" x2="9" y1="5" y2="9" stroke="blue"  /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('line', '100%', 200)}}</p>

<h2 id="linearGradient">linearGradient</h2>

<p>For {{SVGElement('linearGradient')}}, <code>y2</code> defines the y coordinate of the ending point of the <em>gradient vector</em> used to map the gradient stop values. The exact behavior of this attribute is influenced by the {{SVGAttr('gradientUnits')}} attributs</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example_2">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 20 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!--
  By default the gradient vector end at the top right
  corner of the bounding box of the shape it is applied to.
  --&gt;
  &lt;linearGradient y2="0%" id="g0"&gt;
    &lt;stop offset="5%"  stop-color="black" /&gt;
    &lt;stop offset="50%" stop-color="red"   /&gt;
    &lt;stop offset="95%" stop-color="black" /&gt;
  &lt;/linearGradient&gt;

  &lt;rect x="1"  y="1" width="8" height="8" fill="url(#g0)" /&gt;

  &lt;!--
  Here the gradient vector end at the bottom right
  corner of the bounding box of the shape it is applied to.
  --&gt;
  &lt;linearGradient y2="100%" id="g1"&gt;
    &lt;stop offset="5%"  stop-color="black" /&gt;
    &lt;stop offset="50%" stop-color="red"   /&gt;
    &lt;stop offset="95%" stop-color="black" /&gt;
  &lt;/linearGradient&gt;

  &lt;rect x="11" y="1" width="8" height="8" fill="url(#g1)" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('linearGradient', '100%', 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#LineElementY2Attribute", "y2")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;line&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#LinearGradientElementY2Attribute", "y2")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;linearGradient&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#LineElementY2Attribute", "y2")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;line&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#LinearGradientElementY2Attribute", "y2")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;linearGradient&gt;</code></td>
  </tr>
 </tbody>
</table>
